fv::util::ArgParser Class Reference

## Public Member Functions

| ArgParser (int &argc, char **argv)
const std::string & | getCmdOption (const std::string &option) const
bool | cmdOptionExists (const std::string &option) const

## Private Attributes

std::vector< std::string > | tokens
std::string | empty_string

## Member Function Documentation

## cmdOptionExists()

bool fv::util::ArgParser::cmdOptionExists | ( | const std::string & | option | ) | const

inline

Author
  iain

## getCmdOption()

const std::string& fv::util::ArgParser::getCmdOption | ( | const std::string & | option | ) | const

inline

Author
  iain

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/argparse.hpp